Debian Bug report logs - #506299
wrong description of atan2 range

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Stefano Teso <teso@disi.unitn.it>

Date: Thu, 20 Nov 2008 11:12:09 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.10-1

Fixed in version manpages/3.14-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#506299; Package manpages-dev. (Thu, 20 Nov 2008 11:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Teso <teso@disi.unitn.it>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 20 Nov 2008 11:12:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Teso <teso@disi.unitn.it>
To: submit@bugs.debian.org
Subject: wrong description of atan2 range
Date: Thu, 20 Nov 2008 12:01:06 +0100
Package: manpages-dev
Version: 3.10-1

The manpage of the atan2 function reports a wrong function range. The
manpage says that "the return value is in the range [-pi/2, pi/2]",
while by definition and by implementation the range is [-pi, pi].

The following program demonstrates that the range is [-pi, pi] (or,
equivalently, [-180,180]):


#include <stdio.h>
#include <math.h>
int
main (void)
{
  double x = cos (M_PI * 0.9);
  double y = sin (M_PI * 0.9);
  printf ("[%f,%f], atan2=%f\n", x, y, atan2 (y,x) / M_PI * 180.0);
  printf ("[%f,%f], atan2=%f\n", x, -y, atan2 (-y,x) / M_PI * 180.0);
  return 0;
}






Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#506299; Package manpages-dev. (Thu, 20 Nov 2008 14:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 20 Nov 2008 14:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 506299@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Stefano Teso" <teso@disi.unitn.it>, 506299@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#506299: wrong description of atan2 range
Date: Thu, 20 Nov 2008 09:00:09 -0500
Hello Stefano,

On Thu, Nov 20, 2008 at 6:01 AM, Stefano Teso <teso@disi.unitn.it> wrote:
> Package: manpages-dev
> Version: 3.10-1
>
> The manpage of the atan2 function reports a wrong function range. The
> manpage says that "the return value is in the range [-pi/2, pi/2]",
> while by definition and by implementation the range is [-pi, pi].

Yes.  In fact, someone already reported this and I thought I'd fixed
it for 3.11, but somehow the fix got lost.  It really is fixed now,
and the fix will be in upstream 3.14.

Thanks for reporting this!

Cheers,

Michael

> The following program demonstrates that the range is [-pi, pi] (or,
> equivalently, [-180,180]):
>
>
> #include <stdio.h>
> #include <math.h>
> int
> main (void)
> {
>  double x = cos (M_PI * 0.9);
>  double y = sin (M_PI * 0.9);
>  printf ("[%f,%f], atan2=%f\n", x, y, atan2 (y,x) / M_PI * 180.0);
>  printf ("[%f,%f], atan2=%f\n", x, -y, atan2 (-y,x) / M_PI * 180.0);
>  return 0;
> }
>
>
>
>
>
>



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#506299; Package manpages-dev. (Thu, 20 Nov 2008 14:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Thu, 20 Nov 2008 14:18:05 GMT) Full text and rfc822 format available.

Message #15 received at 506299@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk.manpages@googlemail.com>
To: "Stefano Teso" <teso@disi.unitn.it>, 506299@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#506299: wrong description of atan2 range
Date: Thu, 20 Nov 2008 09:11:05 -0500
tags 506299 fixed-upstream
thanks




Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Thu, 20 Nov 2008 14:18:06 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Sat, 29 Nov 2008 11:33:26 GMT) Full text and rfc822 format available.

Notification sent to Stefano Teso <teso@disi.unitn.it>:
Bug acknowledged by developer. (Sat, 29 Nov 2008 11:33:27 GMT) Full text and rfc822 format available.

Message #22 received at 506299-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 506299-close@bugs.debian.org
Subject: Bug#506299: fixed in manpages 3.14-1
Date: Sat, 29 Nov 2008 11:17:11 +0000
Source: manpages
Source-Version: 3.14-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.14-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.14-1_all.deb
manpages_3.14-1.diff.gz
  to pool/main/m/manpages/manpages_3.14-1.diff.gz
manpages_3.14-1.dsc
  to pool/main/m/manpages/manpages_3.14-1.dsc
manpages_3.14-1_all.deb
  to pool/main/m/manpages/manpages_3.14-1_all.deb
manpages_3.14.orig.tar.gz
  to pool/main/m/manpages/manpages_3.14.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 506299@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Nov 2008 12:01:13 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.14-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 504699 504787 506299
Changes: 
 manpages (3.14-1) unstable; urgency=low
 .
   * New upstream version
     . Fix description of range of function value return in atan2(3)
       (closes: Bug#506299)
     . Clarify and add more detail in RETURN VALUE description in
       getpwnam(3) and getgrnam(3) (closes: Bug#504787)
     . Add text on use of pointer arguments to makecontext(3) (closes:
       Bug#504699)
     . Document that LOG_KERN messages can't be generated from user
       processes in syslog(3)
   * Avoid distribution of more pthread manpages that are currently also
     provided by glibc-doc:
     . pthread_attr_setinheritsched(3)
     . pthread_cancel(3)
     . pthread_cleanup_pop(3)
     . pthread_cleanup_push(3)
     . pthread_setcancelstate(3)
     . pthread_setcanceltype(3)
     . pthread_testcancel(3)
Checksums-Sha1: 
 24893a0610d560906b338402596dd61625b3cb23 964 manpages_3.14-1.dsc
 f69bdd0ab2fe373a266809905b40e5e1ef6427d5 1520978 manpages_3.14.orig.tar.gz
 d04ba3dfb8a3fe897539c471bca78ceec07e6b5c 49494 manpages_3.14-1.diff.gz
 121fae93537754ee85d5d52b9a70c23fa9f61fc8 650242 manpages_3.14-1_all.deb
 71e58f698ea1a8f6fe3ade522eb15702475a9698 1522358 manpages-dev_3.14-1_all.deb
Checksums-Sha256: 
 d06a5b800d6d42b11fe3c4c58bea1972bfbd4fe4807e99531acebaab912e9919 964 manpages_3.14-1.dsc
 e93c51c18329484b0fe9d7b6d6bd1c57bcaabcab97aca06e570eb963f330d355 1520978 manpages_3.14.orig.tar.gz
 0dfe78de3db50a53a43482623c4609420fa941431f7178190fd03d358b6c380d 49494 manpages_3.14-1.diff.gz
 0eb9bf2d24336f5d1521b0d63e9d2f897cc9669bbc754be06e525d4e2b03b1d8 650242 manpages_3.14-1_all.deb
 b4b64abbb972f0eb840fe6871e8aeed4aad23378ed9e6ce0afc8ac210b8586c2 1522358 manpages-dev_3.14-1_all.deb
Files: 
 6f99cf576d6c6f78e1b127ff13c018ea 964 doc important manpages_3.14-1.dsc
 356983f0fc29e0a221f576d979a09d02 1520978 doc important manpages_3.14.orig.tar.gz
 4c67932cc6b7e7785c105b3c91b38e9b 49494 doc important manpages_3.14-1.diff.gz
 84baa24ec0cdb4815373703e2d2eeba2 650242 doc important manpages_3.14-1_all.deb
 ee20b1ea55967cd29d4ffd26e9b35e20 1522358 doc optional manpages-dev_3.14-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJMSGWW5ql+IAeqTIRAgD/AJ90bJA8DssEO8veGT60ADAPuWl4SQCdHU4u
tM3lixpjlK000EtX8FBt7nI=
=cwsx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Dec 2008 07:48:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:44:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.